%define module_name realtime

Name: %module_name-common
Version: 0.1
Release: alt1

Summary: Common files for the Real Time Aplication Interface
License: GPL
Group: Development/Kernel

Source0: adjust_realtime
Source1: realtime.init
Source2: kernel-modules-rtai-example.spec
Source3: README.ALT

PreReq: chkconfig, service, alternatives

BuildArch: noarch

Obsoletes: rtai-common
Conflicts: rtai-common

%description
This package support on boot and runtime adjusment
for various versions of realtime frameworks like RTAI
and Xenomai.

%prep
%setup -T -c -n %name-%version

%install
%__mkdir_p %buildroot%_libdir/%module_name

%__install -pD -m755 %SOURCE0 %buildroot%_sbindir/adjust_realtime
%__install -pD -m755 %SOURCE1 %buildroot%_initdir/%module_name

%__cp %SOURCE2 kernel-modules-rtai-example.spec
%__cp %SOURCE3 README.ALT

%post
%post_service %module_name

%preun
%preun_service %module_name

%files
%doc README.ALT
%doc kernel-modules-rtai-example.spec
%config(noreplace) %_initdir/%module_name
%_sbindir/*
%dir %_libdir/%module_name

%changelog
* Sun Jun 05 2005 Evgeny Sinelnikov <sin@altlinux.ru> 0.1-alt1
- Initial alternatives release
